// *************************************************************** //
// Filename:    MyMDI.h                                            //
//                                                                 //
// Date:        November 26, 1993                                  //
//                                                                 //
// Description:                                                    //
// *************************************************************** //

#ifndef MyMDI_H
#define MyMDI_H

#include <owl\owlcore.h>
#include <owl\mdi.h>
#include <owl\mdichild.h>
#pragma hdrstop
#include "MyMDI.rh"

// --------------------------------------------------------------- //
// MyMDIApplication                                                //
// --------------------------------------------------------------- //
class TMyMDIApp : public TApplication 
{
  public:
    TMyMDIApp();
   ~TMyMDIApp();
    void InitMainWindow();
};

// --------------------------------------------------------------- //
// MyMDIClient                                                     //
// --------------------------------------------------------------- //
class TMyMDIClient : public TMDIClient
{
  public:
    TMyMDIClient(TModule *module = 0);
   ~TMyMDIClient();

    void SetupWindow();
    void CleanupWindow();
  
    TMDIChild* InitChild();
    DECLARE_RESPONSE_TABLE(TMyMDIClient);
};

// --------------------------------------------------------------- //
// MyMDIChild                                                      //
// --------------------------------------------------------------- //
class TMyMDIChild : public TMDIChild
{
  public:
    TMyMDIChild(TMDIClient &parent, const char far *title = 0,
      TWindow *clientWnd = 0, BOOL shrinkToClient = FALSE,
      TModule *module = 0);
   ~TMyMDIChild();

    void GetWindowClass(WNDCLASS& wndClass);
    char *GetClassName();
    void SetupWindow();
    void CleanupWindow();
  
    DECLARE_RESPONSE_TABLE(TMyMDIChild);
};

// --------------------------------------------------------------- //
// MDI Dialog                                                      //
// --------------------------------------------------------------- //
class TMDIDialog : public TDialog
{
  protected:
  public:
    TMDIDialog(TWindow *, TResId);
   ~TMDIDialog();
    void SetupWindow();
    void CleanupWindow();

    DECLARE_RESPONSE_TABLE(TMDIDialog);
};

// --------------------------------------------------------------- //
// TTransferStruct                                                 //
// --------------------------------------------------------------- //
class TTransferStruct
{
  public:
    TTransferStruct() 
    {
      Window = TRUE;
      Dialog = FALSE;
    }
    BOOL Window;
    BOOL Dialog;
};

// --------------------------------------------------------------- //
// Which Dialog                                                    //
// --------------------------------------------------------------- //
class TWhichDialog : public TDialog
{
  protected:
  public:
    TWhichDialog(TWindow *, TResId, TTransferStruct &);
   ~TWhichDialog();
    void SetupWindow();
    void CleanupWindow();

    DECLARE_RESPONSE_TABLE(TWhichDialog);
};

#endif


